unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Memo2: TMemo;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure process(source, destination:TStrings);
  function extract(var s:string):string;
  var c:integer;
  begin
    result:=copy(s,1,254);
    c:=254;
    if length(s)>254 then
      while result[c]<>' ' do
        dec(c);
    delete(s,1,c);
    setlength(result,c);
  end;
var i:integer;
    s:string;
begin
  destination.clear;
  for i:=1 to source.count do
  begin
    s:=source[i-1];
    if s='' then destination.add(#13#10)
            else
    while s<>'' do
      destination.add(extract(s));
  end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  process(memo1.lines, memo2.lines);
end;

procedure TForm1.Button2Click(Sender: TObject);
var i,c:integer;
begin
  c:=0;
  for i:=1 to memo1.lines.count do
    if length(memo1.lines[i-1])>254 then
      inc(c);
  showmessage(inttostr(c)+' lines found with over 254 characters.');
end;

end.
